// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

export const STRUCTURE_ELEMENTS = {
  AKOMANTOSO: 'akn:akomaNtoso',
  P: 'akn:p',
  REF: 'akn:ref',
  INLINE: 'akn:inline',
  ORGANIZATION: 'akn:organization',
  BOOK: 'akn:book',
  PART: 'akn:part',
  CHAPTER: 'akn:chapter',
  SUBCHAPTER: 'akn:subchapter',
  SECTION: 'akn:section',
  SUBSECTION: 'akn:subsection',
  DOCTITLE: 'akn:docTitle',
  TITLE: 'akn:title',
  SUBTITLE: 'akn:subtitle',
  ARTICLE: 'akn:article',
  PARAGRAPH: 'akn:paragraph',
  CONTENT: 'akn:content',
  NUM: 'akn:num',
  HEADING: 'akn:heading',
  LIST: 'akn:list',
  INTRO: 'akn:intro',
  POINT: 'akn:point',
  WRAPUP: 'akn:wrapUp',
  FORMULA: 'akn:formula',
  PREAMBLE: 'akn:preamble',
  DOC_PROPONENT: 'akn:docProponent',
  DOC_STAGE: 'akn:docStage',
  SHORT_TITLE: 'akn:shortTitle',
  LONG_TITLE: 'akn:longTitle',
  BODY: 'akn:body',
  MAIN_BODY: 'akn:mainBody',
  BILL: 'akn:bill',
  RECITALS: 'akn:recitals',
  RECITAL: 'akn:recital',
  AUTHORIALNOTE: 'akn:authorialNote',
  MARKER: 'akn:marker',
  TEXTWRAPPER: 'lea:textWrapper',
  CHANGEWRAPPER: 'lea:changeWrapper',
  COMMENTMARKERWRAPPER: 'lea:commentMarkerWrapper',
  COMMENTMARKER: 'lea:commentMarker',
  CITATION: 'akn:citation',
  CITATIONS: 'akn:citations',
  MOD: 'akn:mod',
  CONCLUSIONS: 'akn:conclusion',
  PREFACE: 'akn:preface',
  BLOCK: 'akn:block',
  DATE: 'akn:date',
  TOCITEM: 'akn:tocItem',
  BLOCKLIST: 'akn:blockList',
  OL: 'akn:ol',
  UL: 'akn:ul',
  LIST_ITEM: 'akn:li',
  TABLE: 'akn:table',
  TABLE_CAPTION: 'akn:caption',
  TABLE_HEAD: 'akn:thead',
  TABLE_BODY: 'akn:tbody',
  TABLE_ROW: 'akn:tr',
  TABLE_CELL: 'akn:td',
  TABLE_HEADERCELL: 'akn:th',
  TBLOCK: 'akn:tblock',
  DOC_AUTHORITY: 'akn:docAuthority',
  DOC_DATE: 'akn:docDate',
  DOC_NUMBER: 'akn:docNumber',
  LOCATION: 'akn:location',
  ROLE: 'akn:role',
  HCONTAINER: 'akn:hcontainer',
  SPAN: 'akn:span',
  QUOTED_STRUCTURE: 'akn:quotedStructure',
  SUP: 'akn:sup',
};
